> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/security-testing-agent-apis/security-testing-orchestration/accounts.md).

# Accounts

Account Management Operations

## DELETE /api/v2/accounts/{id}/data

> Delete all account data

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Accounts","description":"Account Management Operations"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"jwt_header_Authorization":["sto_internal_use_only"]}],"components":{"securitySchemes":{"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"Status":{"type":"object","properties":{"status":{"type":"string","description":"Status"}},"required":["status"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/accounts/{id}/data":{"delete":{"description":"Delete all account data","operationId":"Accounts#DeleteAccountData","parameters":[{"description":"The ID of the account to delete data for","in":"path","name":"id","required":true,"schema":{"description":"The ID of the account to delete data for","pattern":"^[a-zA-Z0-9_-]{22}$","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Status"}}},"description":"OK response."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"BadRequest: Bad Request response."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Unauthorized: Unauthorized response."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Forbidden: Forbidden response."},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"NotFound: Not Found response."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"TooManyRequests: Too Many Requests response."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"InternalServerError: Internal Server Error response."}},"tags":["Accounts"]}}}}
```
